# Vocabulary

- code segment
: a portion of an object file or the corresponding section of the program's virtual address space that contains executable instructions.

- collaboration
: When multiple people are needed to work on something.

- comments
: text notes added to the program to provide explanatory information about the source code.

- debugging
: finding and fixing errors or bugs in the source code of any software.

- event-driven programming
: a programming paradigm in which the flow of the program is determined by events such as user actions, sensor outputs, or message passing from other programs or threads.

- incremental development process
: software development methodology in which the functionality of the system is divided into multiple, separate modules.

- iterative development process
: a way of breaking down the software development of a large application into smaller chunks

- logic error
: Logic errors occur when there is a fault in the logic or structure of the problem.

- overflow error
: the data type used to store data was not large enough to hold the data.

- program
: a specific set of ordered operations for a computer to perform.

- program behavior
: an approach and technique for software development, which enables incremental development in a natural way.

- program input
: is data that is entered into or received by a computer.

- program output
: how the computer presents the results of the process.

- prototype
:  a rudimentary working model of a product or information system, usually built for demonstration purposes or as part of the development process.

- requirements
: actionable, measurable, testable, related to identified business needs or opportunities, and defined to a level of detail sufficient for system design.

- runtime error
: an error that occurs while the program is running after being successfully compiled.

- syntax error
: mistakes in the source code, such as spelling and punctuation errors, incorrect labels, and so on, which cause an error message to be generated by the compiler.

- testing
: the process of evaluating a system or its component(s) with the intent to find whether it satisfies the specified requirements or not.

- user interface
: the point of human-computer interaction and communication in a device.

